<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::DefaultHardwareIndexBuffer Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1DefaultHardwareIndexBuffer.html">Ogre::DefaultHardwareIndexBuffer</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#344c52f2214eaff097d5fbc390e7684b">_updateFromShadow</a>(void)</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#721891f0c0bd391dd5848c8a585ba054">copyData</a>(HardwareBuffer &amp;srcBuffer, size_t srcOffset, size_t dstOffset, size_t length, bool discardWholeBuffer=false)</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultHardwareIndexBuffer.html#17e622be7c689d6093d5705f944d6515">DefaultHardwareIndexBuffer</a>(IndexType idxType, size_t numIndexes, HardwareBuffer::Usage usage)</td><td><a class="el" href="classOgre_1_1DefaultHardwareIndexBuffer.html">Ogre::DefaultHardwareIndexBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareIndexBuffer.html#294ab09e6caef25b3c42c277a5de95e1">getIndexSize</a>(void) const </td><td><a class="el" href="classOgre_1_1HardwareIndexBuffer.html">Ogre::HardwareIndexBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareIndexBuffer.html#b9e775a91b90c6bbac888d97fe51d9d2">getNumIndexes</a>(void) const </td><td><a class="el" href="classOgre_1_1HardwareIndexBuffer.html">Ogre::HardwareIndexBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#1b1b5faf06139040824fd989d0b279f8">getSizeInBytes</a>(void) const </td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareIndexBuffer.html#3f2671fe0ad937070ea24d9bc7626cd3">getType</a>(void) const </td><td><a class="el" href="classOgre_1_1HardwareIndexBuffer.html">Ogre::HardwareIndexBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#0e00770f5e9395e41b6520be8421a6c8">getUsage</a>(void) const </td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#43c79e8e2fa85a83f800214b3661bbbf">HardwareBuffer</a>(Usage usage, bool systemMemory, bool useShadowBuffer)</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareIndexBuffer.html#bf1b1349d196d4aae765985a2b9efd9c">HardwareIndexBuffer</a>(IndexType idxType, size_t numIndexes, HardwareBuffer::Usage usage, bool useSystemMemory, bool useShadowBuffer)</td><td><a class="el" href="classOgre_1_1HardwareIndexBuffer.html">Ogre::HardwareIndexBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#d523887cfaa6abe48dd494a3ea06805a">hasShadowBuffer</a>(void) const </td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#ac34930556f611928ec9157c04bd1b0f176ad39ac15fc0a6028d820a6fe228ae">HBL_DISCARD</a> enum value</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#ac34930556f611928ec9157c04bd1b0f32a2f7b1c3430cc9c3f0f665934d0c4a">HBL_NO_OVERWRITE</a> enum value</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#ac34930556f611928ec9157c04bd1b0fe11601d29cd56aad7ea7a1b23a688b0e">HBL_NORMAL</a> enum value</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#ac34930556f611928ec9157c04bd1b0fa364c1511514cd4d7ee1e7092eb41288">HBL_READ_ONLY</a> enum value</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#e51f5970d879af736e4cf53e1ec46630246699879ba7647973a2d8ed86acf76f">HBU_DISCARDABLE</a> enum value</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#e51f5970d879af736e4cf53e1ec46630bec61c14b13652a06566a79afd6f7518">HBU_DYNAMIC</a> enum value</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#e51f5970d879af736e4cf53e1ec46630a0c82d1b27d6cc04e4b5f6d47a22a74c">HBU_DYNAMIC_WRITE_ONLY</a> enum value</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#e51f5970d879af736e4cf53e1ec4663029ff2e0fd2b408359e84291b27282516">HBU_DYNAMIC_WRITE_ONLY_DISCARDABLE</a> enum value</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#e51f5970d879af736e4cf53e1ec466306f26f67ab31d60248314c9c6c77c9edb">HBU_STATIC</a> enum value</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#e51f5970d879af736e4cf53e1ec466305ffbb339becd31435c5f616be4c28996">HBU_STATIC_WRITE_ONLY</a> enum value</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#e51f5970d879af736e4cf53e1ec466302fe20ff00e9acb928a2d9680f0c505e2">HBU_WRITE_ONLY</a> enum value</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareIndexBuffer.html#25ba4923e015d46de162f7cc4c256326">IndexType</a> enum name</td><td><a class="el" href="classOgre_1_1HardwareIndexBuffer.html">Ogre::HardwareIndexBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#3d5a62cbd76fc2ecd4e1a540bac5f9bc">isLocked</a>(void) const </td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#61086322fba08abadf4fe6734a7c70f7">isSystemMemory</a>(void) const </td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareIndexBuffer.html#25ba4923e015d46de162f7cc4c25632653907abe886cb9c6ebeb2520733aee4a">IT_16BIT</a> enum value</td><td><a class="el" href="classOgre_1_1HardwareIndexBuffer.html">Ogre::HardwareIndexBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareIndexBuffer.html#25ba4923e015d46de162f7cc4c256326a5194f6b6d409b1b20f91adf989ef329">IT_32BIT</a> enum value</td><td><a class="el" href="classOgre_1_1HardwareIndexBuffer.html">Ogre::HardwareIndexBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultHardwareIndexBuffer.html#377ec1f48ea9a94ae6c84010dd697618">lock</a>(size_t offset, size_t length, LockOptions options)</td><td><a class="el" href="classOgre_1_1DefaultHardwareIndexBuffer.html">Ogre::DefaultHardwareIndexBuffer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#93b204642190e611bc226ea08d29160e">Ogre::HardwareIndexBuffer::lock</a>(LockOptions options)</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultHardwareIndexBuffer.html#a6fb414450d575e1ee37f3d72415da70">lockImpl</a>(size_t offset, size_t length, LockOptions options)</td><td><a class="el" href="classOgre_1_1DefaultHardwareIndexBuffer.html">Ogre::DefaultHardwareIndexBuffer</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#ac34930556f611928ec9157c04bd1b0f">LockOptions</a> enum name</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareIndexBuffer.html#55901ccfe05b1d3dc65be17174aae6ed">mIndexSize</a></td><td><a class="el" href="classOgre_1_1HardwareIndexBuffer.html">Ogre::HardwareIndexBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareIndexBuffer.html#d55227078ba92018afb29c98a1287eb6">mIndexType</a></td><td><a class="el" href="classOgre_1_1HardwareIndexBuffer.html">Ogre::HardwareIndexBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#25edb91791e48a7cc9ba2fb05f11bd33">mIsLocked</a></td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#c96a7a04f4e29d8d00117a80d9a1c9a0">mLockSize</a></td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#272cf9751affd73ea03930153357930b">mLockStart</a></td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareIndexBuffer.html#8dfffabc8a138184c98227c7ad4fe871">mNumIndexes</a></td><td><a class="el" href="classOgre_1_1HardwareIndexBuffer.html">Ogre::HardwareIndexBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultHardwareIndexBuffer.html#a814123a952812a4b12d241f8b3e11fc">mpData</a></td><td><a class="el" href="classOgre_1_1DefaultHardwareIndexBuffer.html">Ogre::DefaultHardwareIndexBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#01ef9e872aec8bb74b75be1aff787c8f">mpShadowBuffer</a></td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#68127e87e132304c7655df554a82110c">mShadowUpdated</a></td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#a8fecea9221ffacaae2f1fdea38558da">mSizeInBytes</a></td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#47e53af2e87624c42ab934766bf65fca">mSuppressHardwareUpdate</a></td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#f97b321278124803d13b700a46657ecb">mSystemMemory</a></td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#2eb83f024781415a7fefb31f65a255c2">mUsage</a></td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#2caed02d4c9ad400d020ea8b0b24adf4">mUseShadowBuffer</a></td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultHardwareIndexBuffer.html#6889643eecbb00da9ae4c13042c28a42">readData</a>(size_t offset, size_t length, void *pDest)</td><td><a class="el" href="classOgre_1_1DefaultHardwareIndexBuffer.html">Ogre::DefaultHardwareIndexBuffer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#688e1be4a913099ce5e06172771e2d45">suppressHardwareUpdate</a>(bool suppress)</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultHardwareIndexBuffer.html#99e0bdf70d975699bffaf987a4616b3e">unlock</a>(void)</td><td><a class="el" href="classOgre_1_1DefaultHardwareIndexBuffer.html">Ogre::DefaultHardwareIndexBuffer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultHardwareIndexBuffer.html#5d2c3465f93214d1035ac698df6f4a65">unlockImpl</a>(void)</td><td><a class="el" href="classOgre_1_1DefaultHardwareIndexBuffer.html">Ogre::DefaultHardwareIndexBuffer</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#e51f5970d879af736e4cf53e1ec46630">Usage</a> enum name</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultHardwareIndexBuffer.html#f483fb9a4dad86099af6ab2c9c8f24dd">writeData</a>(size_t offset, size_t length, const void *pSource, bool discardWholeBuffer=false)</td><td><a class="el" href="classOgre_1_1DefaultHardwareIndexBuffer.html">Ogre::DefaultHardwareIndexBuffer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultHardwareIndexBuffer.html#c5c21c1c2b849c6e562539b486d24b06">~DefaultHardwareIndexBuffer</a>()</td><td><a class="el" href="classOgre_1_1DefaultHardwareIndexBuffer.html">Ogre::DefaultHardwareIndexBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#2514db557f1562eef2b7a70a1b2d8344">~HardwareBuffer</a>()</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareIndexBuffer.html#03a16d129c9720cdcc9e36d451f1a65b">~HardwareIndexBuffer</a>()</td><td><a class="el" href="classOgre_1_1HardwareIndexBuffer.html">Ogre::HardwareIndexBuffer</a></td><td></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:32 2008
</p>
</body>
</html>
